> For the complete documentation index, see [llms.txt](https://api-portal.novapost.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-portal.novapost.com/metodi-1/ua/readme/vidpravlennya/perevirka-statusu-ua-svit.md).

# Перевірка статусу UA→Світ

## Отримання статусу верифікації для відправлень UA→World

> Повертає статуси верифікації для міжнародних відправлень для напрямку UA→World («міжнародне відправлення з України у світ»).\
> Відповіді та помилки від основної системи проксируются без змін.<br>

```json
{"openapi":"3.0.0","info":{"title":"API Nova Post","version":"1.0.0"},"tags":[{"name":"Shipments"}],"servers":[{"description":"sandbox","url":"https://api-stage.novapost.com/v.1.0/"},{"description":"production","url":"https://api.novapost.com/v.1.0/"}],"security":[{"JWT":[]}],"components":{"securitySchemes":{"JWT":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT-токен авторизації зі строком дії 1 годину у заголовку"}},"responses":{"Unauthorized":{"description":"Неавторизований доступ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Time-out":{"description":"Час очікування з’єднання вичерпано","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"schemas":{"Error":{"type":"object","properties":{"errors":{"type":"object","properties":{"":{"type":"string"}}}}}}},"paths":{"/shipments/international/status":{"get":{"tags":["Shipments"],"summary":"Отримання статусу верифікації для відправлень UA→World","description":"Повертає статуси верифікації для міжнародних відправлень для напрямку UA→World («міжнародне відправлення з України у світ»).\nВідповіді та помилки від основної системи проксируются без змін.\n","parameters":[{"in":"query","name":"refs[]","required":true,"description":"Масив референсів відправлень. Не повинен бути порожнім. Передається як повторювані параметри запиту. \nПриклад запиту: \nrefs[]=`38e4fe97-9484-11f0-903f-005056bd9e02`\n","schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true},{"in":"query","name":"state","required":true,"description":"Фільтр стану верифікації. Доступні значення: `Order`, `Closed`, `allOrders`.\n","schema":{"type":"string","enum":["Order","Closed","allOrders"]}}],"responses":{"200":{"description":"Список статусів верифікації","content":{"application/json":{"schema":{"type":"object","properties":{"jsonrpc":{"type":"string"},"result":{"type":"array","items":{"type":"object","properties":{"Ref":{"type":"string"},"State":{"type":"string","description":"наприклад: NotVerified, Verified, Rejected"},"Date":{"type":"string","format":"date-time"},"StatusOfInternationalExpressWaybill":{"type":"string","description":"Зрозумілий для користувача статус верифікації"},"Note":{"type":"string"},"ClosedDate":{"type":"string","format":"date-time"}}}},"id":{"oneOf":[{"type":"string"},{"type":"integer"}]}}}}}},"400":{"description":"Invalid request parameters","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"503":{"$ref":"#/components/responses/Time-out"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-portal.novapost.com/metodi-1/ua/readme/vidpravlennya/perevirka-statusu-ua-svit.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
